CVE-2020-36314

Published: 07 April 2021

fr-archive-libarchive.c in GNOME file-roller through 3.38.0, as used by GNOME Shell and other software, allows Directory Traversal during extraction because it lacks a check of whether a file's parent is a symlink in certain complex situations. NOTE: this issue exists because of an incomplete fix for CVE-2020-11736.

Priority

Medium

CVSS 3 base score: 3.9

Status

Package Release Status
file-roller
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo)
Released (3.38.1-1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (3.36.3-0ubuntu1.1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (3.28.0-1ubuntu1.3)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (3.16.5-0ubuntu1.5)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist